%define anolis_release 2
%define abidir %{_prefix}/lib/compatibility/%{name}
%global pkgname xauth

Summary: X.Org X11 X authority utilities
Name: xorg-x11-%{pkgname}
Version: 1.1.2
Release: %{anolis_release}%{?dist}
# NOTE: Remove Epoch line if package gets renamed
Epoch: 1
License: MIT
URL: https://www.x.org

Source0: https://www.x.org/pub/individual/app/%{pkgname}-%{version}.tar.xz

BuildRequires: make
BuildRequires: pkgconfig automake gcc
BuildRequires: libX11-devel
BuildRequires: libXau-devel
BuildRequires: libXext-devel
BuildRequires: libXmu-devel
BuildRequires: abi-dumper

Provides: xauth

%description
xauth is used to edit and display the authorization information
used in connecting to an X server.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{epoch}:%{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%setup -q -n %{pkgname}-%{version}

%build
%configure
%make_build

%install
%make_install

# Check can be enabled in v1.1.2 or newer
%check
make check || cat tests/test-suite.log

export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:%{buildroot}/%{_libdir}
mkdir -p %{buildroot}/%{abidir}
pushd %{buildroot}/%{abidir}
for dir in %{_sbindir} %{_bindir} ; do
        for f in $(ls %{buildroot}/$dir) ; do
                full_name=%{buildroot}/$dir/$f
                (file $full_name | grep executable > /dev/null 2>&1 && $full_name --help > $f-option.list > /dev/null 2>&1) || echo "ok"
        done
done

%files
%doc COPYING
%{_bindir}/xauth
%{abidir}//xauth-option.list
%{_mandir}/man1/xauth.1*

%files doc
%doc README.md

%changelog
* Wed Oct 12 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 1:1.1.2-2
- add api & add doc package

* Thu Jul 28 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 1:1.1.2-1
- Init from upstream version 1:1.1.2
